Subject: bug#71264: 30.0.50; Dired deletion moves point under auto-revert

From: Manuel Giraud <[email-masked]>
Date: Fri, 07 Jun 2024 12:11:04 +0200

Hi,

There was a discussion that seems to be related to this issue in
bug#33458.  And here's something that Martin Rudalics said at the time:

--8<---------------cut here---------------start------------->8---
>> Maybe for dired store meta-information such as dired-filename
>> in window parameters.  Then when a dired buffer is restored in a window,
>> and dired-revert moved point-marker to the beginning of the dired buffer,
>> move point to the file from the window parameter.
>
> What if file referenced by such `dired-filename' was deleted? It is
> desirable to move to next or prev. filename but not to stay in the
> beginning of the dired buffer.

These others may have been deleted as well so I think that remaining
at the beginning of the dired buffer is more predictable here.  Note
also that the next or previous filename may depend on the order in
which filenames are shown - what if reverting changed that order?
--8<---------------cut here---------------end--------------->8---
-- 
Manuel Giraud